#
# spec file for package supportutils
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           supportutils
Version:        3.0
Release:        2.23
Summary:        Support Troubleshooting Tools
License:        GPL-2.0
Group:          System/Monitoring
Url:            https://github.com/g23guy/supportutils
Source:         %{name}-%{version}.tar.gz
Requires:       (iproute or iproute2)
Requires:       (kmod or kmod-compat)
Requires:       (ncurses or ncurses-utils)
Requires:       net-tools
Requires:       sysfsutils
Requires:       tar
Requires:       (util-linux or util-linux-systemd)
Requires:       which
Provides:       supportconfig-plugin-icommand
Provides:       supportconfig-plugin-resource
Provides:       supportconfig-plugin-tag
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
A package containing troubleshooting tools. This package contains
the following: supportconfig, chkbin, getappcore, analyzevmcore

%prep
%setup -q

%build
gzip -9f man/*3
gzip -9f man/*5
gzip -9f man/*8

%install
pwd;ls -la
install -d %{buildroot}/sbin
install -d %{buildroot}/etc
install -d %{buildroot}%{_mandir}/man3
install -d %{buildroot}%{_mandir}/man5
install -d %{buildroot}%{_mandir}/man8
install -d %{buildroot}%{_libexecdir}/supportconfig/resources
install -d %{buildroot}%{_docdir}/%{name}
install -m 444 man/COPYING.GPLv2 %{buildroot}%{_docdir}/%{name}
install -m 544 bin/supportconfig %{buildroot}/sbin
install -m 544 bin/chkbin %{buildroot}/sbin
install -m 544 bin/getappcore %{buildroot}/sbin
install -m 544 bin/analyzevmcore %{buildroot}/sbin
install -m 444 bin/scplugin.rc %{buildroot}%{_libexecdir}/supportconfig/resources
install -m 644 man/*.3.gz %{buildroot}%{_mandir}/man3
install -m 644 man/*.5.gz %{buildroot}%{_mandir}/man5
install -m 644 man/*.8.gz %{buildroot}%{_mandir}/man8

%files
%defattr(-,root,root)
/sbin/*
%dir %{_libexecdir}/supportconfig
%dir %{_libexecdir}/supportconfig/resources
%dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/*
%{_libexecdir}/supportconfig/resources/*
%doc %{_mandir}/man5/*
%doc %{_mandir}/man3/*
%doc %{_mandir}/man8/*

%changelog
* Mon Oct 26 2020 Stefan Bluhm <stefan.bluhm@clacee.eu>
- Added alternative names for RHEL based systems.
* Mon Oct  9 2017 jason.record@suse.com
- Fixed core_pattern corruption (bsc#1061282)
- supportconfig: 3.0-102
* Thu Aug  3 2017 jason.record@suse.com
- Added Infiniband for SLE12 SP3 (bsc#1051237)
- Included fix for path to virt-manager log file
- supportconfig: 3.0-100
* Mon Jun  5 2017 jason.record@suse.com
- Fixed Infiniband detection in SLE12 (bsc#1001224)
* Thu Jun  1 2017 jason.record@suse.com
- Fixed IFS in iscsi_info (bsc#1030448)
- Added -T to dmesg for readability (bsc#1013119)
- Removed kpagecgroup in proc.txt (bsc#1026175)
- Fixed ocfs2 processing when not configured (bsc#1035683)
- supportconfig: 3.0-98
* Tue May  2 2017 jason.record@suse.com
- Added URI to zypper repos list (bsc#995625)
- Added curl timeout for shorter access times (bsc#1014481)
  Add ADD_OPTION_LOCAL_ONLY (-c) to curl test only local registration servers
  Updated supportconfig(8) and supportconfig.conf(5) with ADD_OPTION_LOCAL_ONLY
- Fixed detailed unit information on sle12sp2 (bsc#1023308)
- Added PPC commands and logs (bsc#1030657)
- supportconfig: 3.0-94
* Mon Nov 21 2016 jason.record@suse.com
- Added network name space
- Added VAR_OPTION_JOURNALCTL_MAX_BOOTS for bsc#997615
- Updated supportconfig.conf.5 with VAR_OPTION_JOURNALCTL_*
- supportconfig: 3.0-90
* Fri Nov 18 2016 jason.record@suse.com
- Added limits to journalctl to speed up data collection (bsc#997615)
* Wed Aug 24 2016 jason.record@suse.com
- Restored missing vgs and lvs commands to lvm.txt (bsc#995387)
- supportconfig: 3.0-85
* Fri Jul 15 2016 jason.record@suse.com
- Support for iSCSI LIO Targets (bsc#968269)
- Fixed docker error (bsc#971778)
- Fixed crash basename extra operand (bsc#968073, bsc#987627)
- supportconfig: 3.0-84
* Thu Jun  2 2016 jrecord@suse.com
- Improved HA report selection
- Fixed code injection and privilege escalation bsc#980670 (CVE-2016-1602)
- supportconfig: 3.0-80
* Tue May 17 2016 jrecord@suse.com
- Added new SLE12 SP2 kernel taint flags (bsc#976358)
- Fixed NFS service detection
- supportconfig: 3.0-78
* Thu Apr  7 2016 jrecord@suse.com
- Removed 11 digit SR limit (bsc#973803)
- supportconfig: 3.0-76
* Mon Feb 22 2016 jrecord@suse.com
- Removed Requires: binutils from spec
* Fri Feb 19 2016 jrecord@suse.com
- Captures the correct pacemaker logs (bsc#958403)
- Fixed name space errors (bsc#961318)
- Changed rpm to check with NCP server (bsc#965682)
- supportconfig: 3.0-75
* Wed Jan 27 2016 chamilton@suse.com
- Adjusted docker ps to include --all in docker.txt
- Added a zypper command to check for repos needed by docker in docker.txt
- Added docker top to docker.txt
- Added docker logs to docker.txt
- Added docker inspect to docker.txt
- Added listings of /var/lib/docker/containers to docker.txt
- Added docker related listings of /sys/fs/cgroup to docker.txt
- supportconfig: 3.0-73
* Wed Dec 16 2015 jrecord@suse.com
- Added OPTION_HAPROXY for haproxy.txt (bsc#959252)
- supportconfig: 3.0-72
* Wed Nov 18 2015 jrecord@suse.com
- Fixed mount option for bsc#951218
- supportconfig: 3.0-71
* Thu Oct 29 2015 jrecord@suse.com
- Added OPTION_NIT for novell-nit.txt (bnc#939079)
- Included control group listing in systemd.txt
- Fixed find loop for autoupg (bnc#952024)
- Added nic,lan,vswitch (bnc#915888)
- Fixed kernel taint flags (bnc#941773)
- Fixed package reference (bnc#931390)
- supportconfig: 3.0-70
* Tue Oct 13 2015 jrecord@suse.com
- Added PowerNV info (bnc#944445)
- Fixed missing key libvirt log files (bnc#950216)
- supportconfig: 3.0-65
* Tue Mar 31 2015 jrecord@suse.com
- Fixed xz system logs compressed (bnc#924761)
- Fixed xz compressed logs in updates.txt (bnc#924760)
- Added docker support in docker.txt with OPTION_DOCKER=1 (bnc#925230)
- supportconfig: 3.0-62
* Fri Mar 27 2015 jrecord@suse.com
- Added missing SUSEConnect (bnc#924738)
- supportconfig: 3.0-58
* Mon Mar 16 2015 jrecord@suse.com
- Fixed kdumptool error (bnc#922607)
- Added missing wicked configuration to network.txt (bnc#920795)
- Fixed vmcp detection (bnc#915888)
- Included DNS fix (bnc#918641)
- supportconfig: 3.0-55
* Mon Mar 16 2015 jrecord@suse.com
- Added systemd information
* Thu Jan 15 2015 jrecord@suse.com
- Uses /etc/drbd.conf for test instead of rpm (bnc#890604)
- Added lsinitrd to boot.txt for SLE12
- Added missing taint flag E (bnc#912797)
* Wed Nov 19 2014 mpluskal@suse.com
- Add missing dependency on sysfsutils
- Remove unnecessary dependency on bash
- Clean spec file using spec-cleaner
* Mon Nov 10 2014 jrecord@suse.com
- Fixed NTP service in ntp.txt (bnc#904729)
- supportconfig: 3.0-44
* Fri Nov  7 2014 mlatimer@suse.com
- Create a new lxc.txt file to include information for virtual containers
  using lxc and/or libvirt-lxc. (bnc#904481)
* Wed Oct  8 2014 mlatimer@suse.com
- Include /var/log/libvirt/libxl logs in xen.txt. (bnc#900366)
* Fri Sep  5 2014 jrecord@suse.com
- Added DSfW
- supportconfig: 3.0-42
* Thu Aug 14 2014 jrecord@suse.com
- Fixed LDAPS preferred server check (bnc#892038)
* Thu Jul 17 2014 mlatimer@suse.com
- Ensure libvirtd is running before executing virsh commands. (bnc#887086)
* Fri Jun 27 2014 rbrunt@novell.com
- Added command in novell-ncs section to get status of ndsd monitoring. (bnc#884785)
* Wed Jun 11 2014 jrecord@suse.com
- Supportconfig description is product independent (bnc#882256)
- Added kGraft detection in updates.txt (bnc#878840)
- supportconfig: 3.0-40
* Mon May 19 2014 jrecord@suse.com
- Added journalctl to boot.txt
- supportconfig: 3.0-37
* Thu May  8 2014 jrecord@suse.com
- Test for kvm and qemu-kvm before starting full kvm check
- Update xen to new grub and systemd config
- Selects xm or xl for xen.txt
- supportconfig: 3.0-36
* Mon May  5 2014 jrecord@suse.com
- Added crm configure show to ha.txt (bnc#875831)
- supportconfig: 3.0-35
* Mon Apr 28 2014 jrecord@suse.com
- Fixed plugin detection (bnc#823662)
- Removed /sys/class/drm due to find loops (bnc#875050)
- supportconfig: 3.0-34
* Tue Apr 22 2014 jrecord@suse.com
- Fixed nlvm_debug.1.log: binary operator expected
* Sun Apr 13 2014 jrecord@suse.com
- Removed tmp definition file
* Thu Apr 10 2014 jrecord@suse.com
- Added /proc/device-tree under ppc64 dir
- Moved perl-Bootloader log to y2log.txt
- supportconfig: 3.0-30
* Tue Apr  8 2014 jrecord@suse.com
- Added perl-Bootloader log (bnc#872542)
* Thu Apr  3 2014 jrecord@suse.com
- Fixed drm coniguration commands
- novell-nss.txt should captures VolumeInfo.xml file (bnc#871536)
- Added novell-ncs-resource*.txt files
- Included NCS parsed log information (bnc#870451)
* Thu Mar 27 2014 jrecord@suse.com
- Fixed duplicate NCS files
- Fixed duplicate snapshot listings (bnc#870473)
* Tue Mar 25 2014 jrecord@suse.com
- Scanning scan_unevictable_pages excluded (bnc#868888)
- Scanning base_reachable_time excluded (bnc#863234)
* Thu Mar 20 2014 jrecord@suse.com
- Corrected man page headers
- Fixed FSF address in files
- Change to System/Monitoring spec Group
* Tue Mar 11 2014 jrecord@suse.com
- Fixed DNS find errors
- supportconfig: 3.0-18
* Thu Mar  6 2014 jrecord@suse.com
- Fixed systemd reference in ha.txt
- Added node view to ha.txt
* Fri Feb 28 2014 jrecord@suse.com
- Added /proc/device-tree in hardware.txt for ppc64
* Tue Feb 25 2014 jrecord@suse.com
- Added wait trace logging to module detection
- Fixed ppc64 detection in hardware.txt
* Fri Feb 21 2014 jrecord@suse.com
- Added systemctl configuration files
- Added systemctl show to systemd.txt
- Added LVM status check
- Changed systemd.txt to check unit-files
- Fixed tainted kernel detection
* Tue Feb 11 2014 jrecord@suse.com
- Changed chkconfig lookups to systemctl
* Mon Feb 10 2014 jrecord@suse.com
- Added all systemd unit files
- Added PPC64 specific commands in hardware.txt (bnc#859658)
* Sat Feb  8 2014 jrecord@suse.com
- Fixed packaging error
* Sat Feb  8 2014 jrecord@suse.com
- Packaged COPYING.GPLv2
- Added modprobe.conf check
- Added systemd processing
- Added grub2 processing
- Fixed invalid keyword exit failure
- Removed schealth, use SCA Appliance
- Fixed LVM processing
- Added OPTION_OES to activate other OES components
- sssd service activated for sle12
- Fixed ipv6 flush permission error
- Env gets sysctl config files
- supportconfig: 3.0-9
* Mon Feb  3 2014 jrecord@suse.com
-excluding ldauditor logs from security-audit.txt (bnc#860003)
-fixed console error from network.txt
-limit mcelog to VAR_OPTION_LINE_COUNT
-added wait_times to messages
* Mon Dec 16 2013 jrecord@suse.com
-fixed HAE cib location for sle11sp3 (bnc#855230)
* Mon Nov 18 2013 jrecord@suse.com
-fixed apparmor error messages during basic health check (bnc#850741)
-added /etc/xinetd.d/ to chkconfig.txt (bnc#850568)
-fixed find /boot errors (bnc#850566)
-supportconfig: 2.25-390
* Wed Oct 30 2013 jrecord@suse.com
-added gfx hardware information in x.txt (bnc#816468)
-option -k now excludes all known loaded modules (bnc#846676)
-fixed -D 'command not found' errors
-option -y now sets ADD_OPTION_MAXYAST (bnc#846512)
-removed ADD_OPTION_MINYAST
-exclude invalid /proc files (bnc#846679)
-supportconfig gets symlinks in /etc/pam.d (bnc#846491)
* Wed Oct 16 2013 jrecord@suse.com
-supports xz compressed ram disks (bnc#839664)
-fixed long nic name processing (bnc#840841)
-RPM package requires tar (bnc#839098)
-including dmidecode in hardware.txt (fate#315500)
-changed parted output units to sectors (fate#314621)
-added findmnt to fs-diskio.txt (fate#314619)
-added lsblk to fs-diskio.txt (fate#314620)
-added lsscsi -H to fs-diskio.txt (fate#314618)
* Fri Aug  2 2013 jrecord@suse.com
-fixed disk full on /proc/timer_list (bnc#829927)
-supportconfig: 2.25-372
* Tue Jun 25 2013 jrecord@suse.com
-fixed failed uploads when using -Qu (bnc#825767)
* Wed May 29 2013 jrecord@suse.com
-added OES override to -i includes
-added ip6tables to network.txt (bnc#821979)
-optmized slp findsrvtypes
-plugins removed from timed_log_cmd
-added -w to supportconfig(8)
-added VAR_OPTION_WAIT_TRACE to supportconfig.conf(5)
-added wait trace verbose logging when using -w (bnc#816604)
-added /etc/logrotate.d/* to etc.txt (bnc#814124)
-uses curl instead of ftp for ftp uploads
-supportconfig: 2.25-370
* Fri Apr  5 2013 jrecord@suse.com
-fixed the missing messages.txt file
-supportconfig: 2.25-359
* Wed Apr  3 2013 jrecord@suse.com
-fixed invalid call to logger when plugin times out (bnc#805368)
-OES functions run if OESFOUND, otherwise omitted
-updated supportconfig(5) with OPTION_PROXY
-added Novell Proxy Management with OPTION_PROXY for novell-proxymgmt.txt (bnc#809919)
-added /sys/kernel/mm/transparent_hugepage/* to memory.txt (bnc#807778)
-added nsswitch.conf to sssd.txt
-supportconfig: 2.25-358
* Mon Mar 25 2013 jrecord@suse.com
-fixed sssd not skipping
-updated supportconfig(5) with OPTION_BTRFS
-added btrfs with OPTION_BTRFS for fs-btrfs.txt
-updated supportconfig.conf(5) with OPTION_SSSD
-added sssd with OPTION_SSSD for sssd.txt (bnc#801242)
-added lpstat on a timer (bnc#795148)
-supportconfig: 2.25-350
* Wed Dec 12 2012 jrecord@suse.com
-fixed CONFIG_DNS_LDAP_USER_CONTEXT error (bnc#793972)
-fixed apparmor DENIED messages (bnc#793471)
-added ip connectivity tests (bnc#791316)
-fixed SLED detection in summary.xml (bnc#791380)
-added privacy disclaimer to title and supportconfig.txt (bnc#791957)
-fixed products tag in summary.xml (bnc#791412)
* Tue Nov 13 2012 mlatimer@suse.com
-fixed SLES10 kernel detection in analyzevmcore
-added kernel and debuginfo kernel details to analyzevmcore(8)
-added exectuable check on user specified binary in getappcore
-analyzevmcore: 1.31
-getappcore: 1.27
* Thu Nov  8 2012 jrecord@suse.com
-added VAR_OPTION_HBREPORT_DIRS to supportconfig.conf(5)
-added hb_reports to ha.txt
-supportconfig: 2.25-338
* Wed Nov  7 2012 jrecord@suse.com
-fixed eDirectory instance errors from ADD_OPTION_EDIR (bnc#787483)
-added autoupg.xml and autoupg_updated.xml to y2log.txt
-fixed ravsui verify/rebuild logs and moved to novell-nss.txt (bnc#780522)
-fixed OES detection in summary.xml (bnc#784931)
-added /etc/products.d/* xml files to summary.xml (bnc#784929)
-added SLES for SAP/VMware detection to basic-environment.txt (bnc#784888)
-removed cib check for sbd partitions
-fixed multiple SBD device failure (bnc#783963)
-adding "corosync-cfgtool -s" and "corosync-fplay" to ha.txt (bnc#783179)
-supportconfig: 2.25-336
* Wed Sep 26 2012 jrecord@suse.com
-includes VAR_OPTION_HEADER_FILE at the beginning of each file (bnc#781892)
-added nlvm to novell-nss.txt (bnc#779481)
-increased VAR_OPTION_MSG_MAXSIZE to 25M and added VAR_OPTION_MSG_LINE_COUNT (bnc#780518)
* Thu Aug  9 2012 jrecord@suse.com
-added efibootmgr to boot.txt (bnc#773838)
-including elilo.cfg files if found
-fixed tomcat detection issues (bnc#772728)
* Thu Jun 21 2012 jrecord@suse.com
-fixed multiple Novell DNS configuration files (bnc#765150)
-supportconfig: 2.25-321
* Thu May 10 2012 jrecord@suse.com
-fixed HA error when cibadmin -Q doesn't connect
-fixed ldapsearch search on non-default port (bnc#756890)
-added systool base output to sysfs.txt
-analyzevmcore files included in crash.txt
-/etc/services included in network.txt
-added analyzevmcore
-added getappcore
-getappcore: 1.26
-analyzevmcore: 1.28
-supportconfig: 2.25-320
* Mon Feb  6 2012 jrecord@suse.com
-changed to systool for sysfs.txt
-added local binary list (bnc#743084)
-added nlvm to novell-nss.txt for OES11
-updated copyright years
-added curl check for update registrations
-fixed conf file execution in plugins directory (bnc#743454)
-added a supportconfig summary in summary.xml
-supportconfig: 2.25-314
* Wed Dec 28 2011 jrecord@suse.com
-added /etc/init.d/halt.local to boot.txt
-added fslist_ufiles_info (bnc#738475)
-fixed fslist_info order (bnc#738472)
-added kdump rpm check for sles11sp1 (bnc#738110)
-added plugin-icommand to scplugin.rc for internal bash commands
-scplugin.rc: 1.0.1-3
* Fri Nov  4 2011 jrecord@suse.com
-added /proc/sys to proc.txt
-removed extra bridge command
-the -v for rpm validation now works on all versions
-added netstat check for port 6901 to novell-dfs.txt (bnc#712874)
-added rpm packages to samba.txt list (bnc#727546)
-supportconfig: 2.25-301
* Fri Oct 14 2011 jrecord@suse.com
-added sbd HAE information to ha.txt (bnc#710484)
-added KVM information to SLE11GA
* Mon Oct  3 2011 jrecord@suse.com
-added LANG for consistent output (bnc#718091)
* Fri Aug 19 2011 jrecord@suse.com
-improved novell-dfs.txt (bnc#712874)
-added /var/log/xdm.errors to x.txt (bnc#710066)
* Thu Jul 14 2011 jrecord@suse.com
-added additional sysfs filters to sysfs.txt
-added autofs_ldap_auth.conf to fs-autofs.txt
-added nis map queries to fs-autofs.txt
-fixed autofs map file not found (bnc#704195)
-sorts lsmod output in modules.txt (bnc#703310)
-added /proc/irq to proc.txt (bnc#703599)
-supportconifg: 2.25-290
* Thu Jun 30 2011 jrecord@suse.com
-fixed duplicate sysconfig.txt entries (bnc#701372)
-fixed autofs map file not found (bnc#703005)
-added automount syslog messages to fs-autofs.txt (bnc#703006)
-added root xauth file to env.txt
-supportconfig 2.25-284
* Thu Jun 16 2011 jrecord@suse.com 
-added CASA credential list (bnc#700389)
-fixed SMT credentials (bnc#700317)
-fixed command SLES_VER issue
-uses rug command in SLE10 SP* instead of zypper (bnc#699734)
-supportconfig 2.25-280
* Wed Jun  1 2011 jrecord@suse.com
-fixed kernel taint check (bnc#697538)
-supportconfig 2.25-272
* Wed May 11 2011 jrecord@suse.com
-removed /etc/supportconfig.conf, using defaults.
  * see supportconfig.conf(5) for options
-fixed iscsiadm -r error (bnc#692727)
-minimized supportconfig.conf, defaults not needed
-added ocfs2 superblock info to ocfs2.txt (bnc#692344)
-updated supportconfig.conf(5)
-added DRBD with OPTION_DRBD for drbd.txt (bnc#692379)
-always include route in network.txt (bnc#692308)
-added debug.html to novell-iman.txt (bnc#683516)
-startup option -l now includes rotated system logs (bnc#653544)
-added log2sys
-added VAR_OPTION_RM_LOCAL_FILE to remove tar ball
-added ethtool -i and -S to network.txt (bnc#683962)
-added OES catalina.out to web.txt (bnc#683514)
-added ncpcon set to novell-ncp.txt (bnc#683511)
-lines beginning with // are no longer excluded by default
-supportconfig: 2.25-271
* Thu Mar  3 2011 jrecord@suse.com
-added iManager with OPTION_IMAN for novell-iman.txt
-exporting SEMAPHORE_LOG
-supports file:// in KDUMP_SAVEDIR (bnc#675622)
-added ncpcon threads to novell-ncp.txt (bnc#674641)
-added dhcp-ldap-startup.log to dhcp.txt (bnc#674469)
-added DISTURL to novell-cifs and novell-afptcpd files (bnc#667677)
* Wed Jan 19 2011 jrecord@suse.com
-added IRQ affinity to slert.txt
-added SLERT cset checks (bnc#659254)
-added time syntax to ls commands (bnc#646645)
-put ncpcon on a timer to fix a hang
-added csync2 to ha.txt (bnc#661611)
-added novell-httpstkd to web.txt
-added framebuffer to x.txt and boot.txt (bnc#659243)
-supportconfig: 2.25-252
* Fri Dec  3 2010 jrecord@suse.com
-added NCS Volume Resource Tool log files to novell-ncs.txt
-added nscd -g to network.txt
-added nam.conf to novell-lum.txt (bnc#656855)
* Thu Nov 11 2010 jrecord@suse.com
-fixed, added and reordered zypper commands (bnc#649282)
-added long file listing for mcelog
-fixed ldap_bind connection errors (bnc#649603)
-added ip commands to network.txt (bnc#652693)
-added HA rpms to ha.txt (bnc#652675)
* Mon Oct 25 2010 jrecord@suse.com 
-added provides: supportconfig-plugin-tag
-changed default route detection (bnc#646973)
-supportconfig: 2.25-237
* Thu Oct 14 2010 jrecord@suse.com 
-changed /opt/supportconfig to /usr/lib/supportconfig (bnc#645418)
-supportconfig: 2.25-236
* Thu Oct  7 2010 jrecord@suse.com 
-fixed errors when virsh not installed
-added scplugin.rc(3) man pages
-added plugin_tag to scplugin.rc (bnc#643575)
-scplugin.rc: 1.0.1-2
-supportconfig: 2.25-235
* Thu Sep 30 2010 jrecord@suse.com 
-added virsh KVM information
-fixed ppc sysfs hang
-included OPTION_KVM in supportconfig.conf
-updated supportconfig.conf(5) with OPTION_KVM
-added NCS *.monitor scripts in novell-ncs.txt (bnc#642837)
-added KVM support in kvm.txt using OPTION_KVM (bnc#637038)
-only provides supportconfig-plugin-resource
-fixed password collection security issue (bnc#638813)
-added openssl to smt.txt (bnc#641126)
-fixed pconf_files redirect error (bnc#640554)
-removed extra section_header definition
-scplugin.rc: 1.0.1-0
-supportconfig: 2.25-234
* Wed Sep  8 2010 jrecord@suse.com 
-added SLES for VMware detection (bnc#637675)
* Fri Aug 27 2010 jrecord@suse.com 
-added a %%B filename qualifier to normalize_base
-added running application pmap data to memory.txt (bnc#635114)
-fixed alsa-info.sh output collector (bnc#632315)
-added ctdb information to ha.txt (bnc#631435)
-fixed third party proc hang (bnc#630470)
-excludes kernel-source rpm validation from boot.txt
-added initrd output to boot.txt (bnc#630497)
-supportconfig: 2.25-223
* Mon Aug  9 2010 jrecord@suse.com 
-fixed logger -b error (bnc#624976)
-fixed hang issue by excluding NSS volume metadata (bnc#624142)
-fixed validate_rpm error in scplugin.rc
-supportconfig: 2.25-216
* Mon Jul 19 2010 jrecord@suse.com 
-added /etc/corosync/corosync.conf to ha.txt (bnc#623364)
-provides supportconfig-plugin-resource-1.0.0
-supportconfig: 2.25-213
* Thu Jul 15 2010 jrecord@suse.com 
-including /opt/supportconfig/resources/scplugin.rc
-added oes-SPident bnc#621190
-added /etc/nologin to pam.txt (bnc#620273)
-added logger messages for supportconfig progress (bnc#619248)
* Fri Jun 18 2010 jrecord@suse.com 
-added SMT repo listing (bnc#604406)
-fixed apparmor loaded module check (bnc#607733)
-standardized basic health check file headers
-supportconfig: 2.25-207
* Wed May 12 2010 jrecord@suse.com 
-added exportfs -v to nfs.txt for more detail
* Tue Apr 27 2010 jrecord@suse.com
-added missing file command for ndsd (bnc#600165)
-added VAR_OPTION_DMESG to log progress in the kernel buffer
-fixed supportconfig hang with multiple NSS volumes (bnc#599594)
-includes /_admin/Manage_NSS/*xml files (bnc#599742)
* Thu Apr 15 2010 jrecord@suse.com 
-added /proc/mounts and /etc/mtab to fs-diskio.txt (bnc#596846)
-added /proc/zoneinfo to memory.txt (bnc#595768)
* Fri Apr  2 2010 jrecord@suse.com 
-config files are preserved or saved as .rpmsave (bnc#593446)
-added samba core file search to crash.txt (bnc#593240)
-excludes core files from samba.txt (bnc#593124)
-improves lvm.txt readability (bnc#593237)
-added alsa-info.sh to hardware.txt (bnc#593123)
-increased verbosity to lsusb (bnc#593129)
-changed lspci -n to -nn (bnc#593128)
-fixed inaccurate basic health tainted module list (bnc#592730)
-fixed long time outs for updates (bnc#592716)
-supportconfig: 2.25-197
* Tue Mar 30 2010 jrecord@suse.com 
-fixed -k lp exclusion (bnc#592316)
-fixed double lsmod listing in modules.txt (bnc#592286)
-added dmsetup ls to lvm.txt, evms.txt, mpio.txt (bnc#592283)
-supportconfig: 2.25-192
* Mon Mar 29 2010 jrecord@suse.com 
-added additional rug time out detection
-added module additional comments
-added -B to supportconfig(8) synopsis
* Fri Mar 26 2010 jrecord@suse.com 
-fixed -t repeated unique directories (bnc#591482)
-fixed occasional nsscon hang (bnc#583349)
-added customized tar ball file name elements (bnc#590620)
  * updated man pages with -B <string> and VAR_OPTION_CUSTOM_ARCH
-added SC_CONF to man pages
-added supportconfig.conf in DOS format (bnc#590382)
* Tue Mar 23 2010 jrecord@suse.com 
-added SMT repoindex test (bnc#572339)
-fixed modprobe.conf directory includes (bnc#589985)
-added mcelog to basic-health-check.txt (bnc#584751)
-added suse_register and zmd messages (bnc#587060)
-added module options to modules.txt (bnc#589986)
-added module parameter values to modules.txt (bnc#589448)
* Fri Mar  5 2010 jrecord@suse.com 
-removed duplicate zmd-messages.log (bnc#585866)
-changed supportconfig and chkbin modes to 544 (bnc#581733)
-updated supportconfig.conf(5) man page with OPTION_DHCP
-added OPTION_DHCP to the default supportconfig.conf
-DNS only gets text files in directories
-added Novell DHCP and system DHCP support to dhcp.txt (bnc#577026)
-added Novell DNS support to dns.txt (bnc#577025)
-supportconfig: 2.25-176
* Mon Jan 25 2010 jrecord@suse.com 
-updated script date
-supportconfig: 2.25-173
* Thu Jan 21 2010 jrecord@suse.com 
-fixed kernel/debug hang in sysfs (bnc#572266)
-supportconfig: 2.25-172
* Wed Jan 20 2010 jrecord@suse.com 
-fixed nscd.conf error (bnc#572460)
-fixed dfs log error (bnc#572461)
-supportconfig: 2.25-171
* Wed Jan 20 2010 jrecord@suse.com 
-changed udevinfo to udevadm on sle11 (bnc#571124)
-changed MCE string to machine check exception
-supportconfig: 2.25-170
* Fri Jan 15 2010 jrecord@suse.com 
-added chkbin -a startup option to include all (bnc#570038)
-fixed PPC sysfs hang (bnc#567094)
-fixed sysfs hang (bnc#567759)
-supportconfig: 2.25-167
-chkbin: 1.01-25
* Mon Dec 28 2009 jrecord@suse.com 
-fixed pre_ndsd* and post_ndsd* script locations (bnc#566848)
-added Sun VirtualBox Hypervisor detection (bnc#567439)
-removed lvm check, only check lvm2 (bnc#566095)
-supportconfig: 2.25-165
* Mon Dec 14 2009 jrecord@suse.com 
-fixed DNS proc bindings (bnc#562003)
-fixed sar data file copies (bnc#563810)
-fixed error message when nts_chkbin missing (bnc#564263)
-excludes binary data files from y2log.txt (bnc#559707)
-added Distributed File Services with OPTION_DFS in novell-dfs.txt
  (bnc#564197)
-supportconfig: 2.25-162
* Fri Nov 20 2009 jrecord@suse.com 
-ensured /var/log/messages is the last file in messages.txt (bnc#556950)
-moved chkbin log files to crash.txt
-added autofs5 support (bnc#557395)
-added auditing with OPTION_AUDIT in security-audit.txt (bnc#556954)
* Fri Nov 13 2009 jrecord@suse.com 
-added proxy information to updates.txt (bnc#552252)
* Fri Sep  4 2009 jrecord@suse.com 
-added /etc/sudoers to pam.txt
-added system environment files (bnc#536910)
-changed VAR_OPTION_UPLOAD_TARGET to ftp and VAR_OPTION_UPLOAD_ALT to https
-updated supportconfig.conf(5) with UPLOAD changes
-supportconfig: 2.25-140
* Tue Aug 25 2009 jrecord@suse.com 
-added chkbin logs to messages.txt (bnc#534101)
* Fri Aug 14 2009 jrecord@suse.com 
-fixed /var/lib/suseRegister under SLE9
-added Microsoft Virtual Server VM detection (bnc#531272)
-added application core file list with content (bnc#530144)
-added /var/log/NetworkManager to network.txt (bnc#530383)
-corrected message spelling
* Fri Aug  7 2009 jrecord@suse.com 
-include full NCC details for proxy registration issues (bnc#521622)
-supportconfig exports $LOG for plugins
-fixed ncs resouce log file location (bnc#528616)
-supportconfig: 2.25-136
* Wed Aug  5 2009 jrecord@suse.com 
-installation_sources are collected independently (bnc#524712)
-added additional suse_register information (bnc#520232)
-fixed SMT sensitive data (bnc#522283)
-added NSS snapdate and version information to novell-nss.txt (bnc#528492)
-changed default VAR_OPTION_UPLOAD_TARGET for secure uploads (bnc#507691)
-supportconfig: 2.25-135
* Fri Jul 24 2009 jrecord@suse.com 
-fixed Plugin header label for NSA integration
-added smt-catalogs to smt.txt (bnc#524680)
* Wed Jul 22 2009 jrecord@suse.com 
-added /proc/dasd/devices to proc.txt (bnc#522355)
-fixed unnecessary /proc files (bnc#524305)
* Tue Jul  7 2009 jrecord@suse.com 
-fixed NAM LDAPS connection test (bnc#519708)
-added /etc/init.d listing to chkconfig.txt (bnc#519835)
-added zypper repos to updates.txt
-added NSS option values in novell-nss.txt (bnc#519632)
-added OPTION_SMS for novell-sms.txt (bnc#519595)
-updated supportconfig.conf.5 with OPTION_SMS detail
-supportconfig: 2.25-130
* Thu Jul  2 2009 jrecord@suse.com 
-added -a alternate upload startup switch
-added VAR_OPTION_UPLOAD_ALT that -a uses
-updated the man pages with -a and VAR_OPTION_UPLOAD_ALT
-supportconfig: 2.25-128
* Thu Jul  2 2009 jrecord@suse.com 
-fixed boot.txt elilo directory error (bnc#518814)
-fixed ndspath display issue (bnc#518772)
-added novell-nss status to novell-nss.txt
-supportconfig: 2.25-127
* Mon Jun 29 2009 jrecord@suse.com 
-fixed wifi net disconnect with -k (bnc#388500)
-added Pacemaker HAE for SLE11 (bnc#515741)
-added curl debug command to updates.txt (bnc#515782)
-supportconfig: 2.25-124
* Mon Jun 15 2009 jrecord@suse.com 
-included find /sys in sysfs.txt
-updated supportconfig.conf(5) with OPTION_SYSFS
-added SYS file system OPTION_SYSFS, sysfs.txt (bnc#506579)
-added 15 sec ldapsearch time limit finding certificates (bnc#507197)
-fixed directory symlink reference (bnc#505842)
-fixed /usr/lib* to be noarch (bnc#507714)
-supportconfig: 2.25-120
* Wed May 20 2009 jrecord@suse.com 
-fixed NFS package name for SLE11 to nfs-client (bnc#505744)
-added novcifs commands to novell-cifs.txt (bnc#505744)
-moved eDirectory certificate check to novell-edir.txt
-added virtualization type for Xen
-moved rpm -V to sam in SLE11 with the -v switch
-supportconfig: 2.25-114
* Wed May 13 2009 jrecord@suse.com 
-limited virtualization detection to i386/x86_64 archs
-fixed top 10 sort issue (bnc#503565)
-fixed KVM virtualization detection
-changed network ping test strings to be more readable
-updated KVM virtualization detection
-supportconfig: 2.25-110
* Mon May 11 2009 jrecord@suse.com 
-added SSL certificate expiration dates to novell-lum.txt (bnc#500192)
-added virtualization detection in basic-environment.txt and hardware.txt (bnc#500099)
-added SLE11 device ID to updates.txt (bnc#500103)
-added lscpu to hardware.txt and xen.txt (bnc#500099)
* Mon Apr 27 2009 jrecord@suse.com 
-updated supportconfig.conf(5) man page to include AFP/CIFS
-added eDirectory ndsd arch check (bnc#497586)
-added NSS volume attributes (bnc#496686)
-added real time process check to slert.txt (bnc#496721)
-supportconfig: 2.25-104
* Wed Apr 15 2009 jrecord@suse.com  
-added password policy info to novell-{afp,cifs}.txt (bnc#472071)
-added Novell CIFS support OPTION_CIFS, novell-cifs.txt (bnc#472068)
-added Novell AFP support OPTION_AFP, novell-afp.txt (bnc#472063)
-added NCS ldap check (bnc#491646)
-fixed invalid sam option in basic-environemnt.txt (bnc#495138)
* Tue Mar 24 2009 jrecord@suse.com 
-fixed tarball overwrite (bnc#487475)
-added NSA integration
-updated plugin section header (bnc#481442)
* Tue Feb 24 2009 jrecord@suse.com 
-added title to show_help
-supportconfig: 2.25-96
* Fri Feb 20 2009 jrecord@suse.com 
-fixed tomcat CATALINA_HOME source
-supportconfig: 2.25-95
* Thu Feb 19 2009 jrecord@suse.com 
-added OPTION_WEB for web.txt (bnc#477039)
-added /etc/hosts.nds (bnc#475824)
-supportconfig: 2.25-94
* Tue Feb 10 2009 jrecord@suse.com 
-fixed schealth taint check (bnc#472791)
-moved supportconfig(1) and chkbin(1) to man page section 8
-schealth: 1.00-5
* Fri Jan 30 2009 jrecord@suse.com
-fixed taint status handling (bnc#469094)
-fixed order changes that were missed (bnc#468510)
-supportconfig: 2.25-92
* Wed Jan 28 2009 jrecord@suse.com
-fixed 'network-bridge file not found (bnc#470258)
-fixed symlink directory listing (bnc#469871)
-supportconfig: 2.25-91
* Fri Jan 23 2009 jrecord@suse.com
-added brctl showmacs to network.txt and xen.txt (bnc#469012)
-modified and reorganized xen.txt (bnc#468510)
-supportconfig: 2.25-89
* Wed Jan 21 2009 jrecord@suse.com
-added terminated PIDs to supportconfig.txt
-modified updates.txt with patch checking (bnc#465758)
-added hwinfo --netcard to network.txt (bnc#465891)
-added HP PSP files (bnc#466856)
-supportconfig: 2.25-88
* Fri Jan  9 2009 jrecord@suse.com
-fixed /dev/evms file listings (bnc#464164)
-fixed NCS EventLog.xml location tests (bnc#463867)
-added iptables-save to network.txt (bnc#463862)
-added brctl to network.txt (bnc#463690)
-supportconfig: 2.25-85
* Wed Dec 31 2008 jrecord@suse.com
-added pre_/post_ndsd scripts (bnc#463156)
-Updated SAM interface message
-supportconfig: 2.25-84
* Thu Dec  4 2008 jrecord@suse.com
-rug prefs moved to updates.txt
-fixed supportconfig hang after time out (bnc#448866)
-timed out commands get terminated (bnc#455733)
-supportconfig: 2.25-82
* Tue Dec  2 2008 jrecord@suse.com
-added LUM preferred server ping (bnc#450937)
-moved suseRegister info to updates.txt and included full log
  file (bnc#450947)
-made several changes per (bnc#449622)
-supportconfig: 2.25-80
* Wed Nov 26 2008 jrecord@suse.com
-initialized SKIP in updates
-added --no-abbrev to rug sl (bnc#449308)
-supportconfig: 2.25-73
* Fri Nov 21 2008 jrecord@suse.com
-added -o keyword toggle switch (bnc#447664)
-supportconfig: 2.25-72
* Thu Nov 20 2008 jrecord@suse.com
-echolog not trapped after tar ball (bnc#447212)
-added default ntp log (bnc#447168)
-fixed scp .md5 upload (bnc#446669)
-fixed encrypted uploads (bnc#446146)
-enhanced sbm output
-fixed gpg encryption with -Q (bnc#446647)
  * supportconfig: 2.25-71
* Fri Nov 14 2008 jrecord@suse.com
-added screen buffer mode -b (bnc#444285)
-replaced SPident with sam for SLE11 (bnc#443468)
  * supportconfig: 2.25-65
* Thu Nov  6 2008 jrecord@suse.com
-library paths beginning with ../ are now accepted in chkbin
  * supportconfig: 2.25-61
  * chkbin:        1.01-16
  * schealth:      1.00-3
* Wed Nov  5 2008 jrecord@suse.com
-the .md5 file is uploaded with the tarball
-http(s) silent upload now use case insensitive {TARBALL}
-UPLOAD_TARBALL is set with -U and -u (bnc#440666)
* Tue Nov  4 2008 jrecord@suse.com
-changed evms_gather_info to timed_log_cmd
* Mon Nov  3 2008 jrecord@suse.com
-changed mounted.ocfs2 -f to timed_log_cmd
-changed mounted.ocfs2 -d to timed_log_cmd
* Fri Oct 31 2008 jrecord@suse.com
-fixed -DQ errors (bnc#440675)
-added tarball md5sum
* Wed Oct 29 2008 jrecord@suse.com
-SC_CONF can be set externally (bnc#439923)
-fixed -R relative path errors (bnc#439899)
* Fri Oct 24 2008 jrecord@suse.com
-modified plugin directory security (bnc#438338)
* Thu Oct 23 2008 jrecord@suse.com
-fixed plugin directory security (bnc#438338)
-fixed conf_file reference (bnc#438317)
* Fri Oct 17 2008 jrecord@suse.com
-added plugin skipped (bnc#436655)
-added timed_log_cmd to plugins (bnc#436624)
-fixed executible plugin check (bnc#436625)
-added SMT support in smt.txt (bnc#436627)
* Thu Oct 16 2008 jrecord@suse.com
-SLES10 now includes infiniband probe
-added InfiniBand and disk commands
-added ldconfig and lsof to chkbin
* Wed Oct 15 2008 jrecord@suse.com
-changed VAR_OPTION_UPLOAD_TARGET default to Novell's https
* Tue Oct 14 2008 jrecord@suse.com
-New version:      1.01-15
  * supportconfig: 2.25-35
  * chkbin:        1.01-14
  * schealth:      1.00-3
-cleaned up schealth comments
-uploads to Novell automatically include the -q
-the {TARBALL} reserved word used with -U is now case insensitive
-removed -n, no longer needed. curl -L handles redirects
* Mon Oct 13 2008 jrecord@suse.com
-fixed repeat directory name selection
-fixed including compressed log files (bnc#434896)
-added -q enables the unique id string
-added uuidgen or date +%%s%%N to tarball for uniqueness
-added -n for secure Novell tar ball uploads
* Fri Oct 10 2008 jrecord@suse.com
-added dmesg output in boot.txt
-added InfiniBand support and ib.txt
* Wed Oct  8 2008 jrecord@suse.com
-http/s uploads now require certificates, curl -k removed
-added VAR_OPTION_GPG_UID to select GPG encryption uid
-added GPG encryption for the tar ball
* Thu Sep 25 2008 jrecord@suse.com
-changed BASE FROM_DIRECTORY to look for nts
* Tue Sep 23 2008 jrecord@suse.com
-added rpm verify for sysconfig in network.txt
* Mon Sep 22 2008 jrecord@suse.com
-changed -u so the srnum is not required (fate#305191)
  * Use -r <srnum> with -u when uploading to Novell
* Fri Sep 19 2008 jrecord@suse.com
-updates.txt supports zypper (fate#305226)
-updates-daemon.txt is not used and ignored in SLE11 (fate#305224)
-updated SLES_VER for SLE11 component support (fate#305177)
-added http and https support for -U
-added -y for ADD_OPTION_MINYAST
-changed OPTION_CIM to OPTION_CIMOM in code and man pages
* Thu Sep 18 2008 jrecord@suse.com
-changed OPTION_OPENWBEM to OPTION_CIM in code and man pages
-look for other cim packages (fate#305221)
-fixed plugin directory error (bnc#42750)
* Wed Sep 17 2008 jrecord@suse.com
-New version:     1.01-5
  * supportconfig: 2.25-11
  * chkbin:        1.01-14
  * schealth:      1.00-2
-added -g to save in gzip instead of bzip2 (bnc#425495)
* Wed Sep 17 2008 jrecord@suse.com
-changed all bug reporting URL references to:
  * http://en.opensuse.org/Supportutils#Reporting_Bugs
-changed man page title to "Support Utilities Manual"
-separated conf_files and conf_text_files to get boot.msg (bnc#425631)
* Thu Sep 11 2008 jrecord@suse.com
-changed package name from ntsutils to supportutils
* Tue Sep  9 2008 jrecord@suse.com
-changed to System/Management package group
* Tue Sep  9 2008 jrecord@suse.com
-updated man pages with Store and Terminal indentifiers
-fixed schealth location (bnc#424640)
-added Store and Terminal identifiers (fate#305243)
-added schealth.conf (bnc#420809)
-added ignore options to schealth.conf (bnc#420810)
* Wed Sep  3 2008 jrecord@suse.com
-included /usr/local/bin in PATH (bnc#422623)
-added target/from directory options (bnc#419516)
* Wed Aug 27 2008 jrecord@suse.com
-added -p to disable all plugins
-updated man pages (bnc#420132)
-added full command-line feature support (bnc#413945)
* Mon Aug 25 2008 jrecord@suse.com
-changed plugin directory to /opt/supportconfig/plugins (bnc#420147)
* Fri Aug 22 2008 jrecord@suse.com
-added scp upload support
-added NUMA details to memory.txt (bnc#419558)
-added last reboot info (bnc#415535)
* Fri Aug  1 2008 jrecord@suse.com
-New version:     1.00-80
  * supportconfig: 2.19-66
  * chkbin:        1.01-14
  * schealth:      1.00-1
-fixed schealth limit logic
* Thu Jul 31 2008 jrecord@suse.com
-taint status correctly analyzed (bnc#413348)
* Mon Jul 28 2008 jrecord@suse.com
-novell-ncs.txt gets /var/run/ncs/*out files (bnc#412692)
* Tue Jul 22 2008 jrecord@suse.com
-added -o switch to overwrite basic-health-report.txt
-added schealth to supportconfig as basic_report()
-fixed schealth spaces in path names (bnc#411308)
-added schealth to ntsutils
* Thu Jul 10 2008 jrecord@suse.com
-New version:     1.00-75
  * supportconfig: 2.19-63
  * chkbin:        1.01-14
* Wed Jul  9 2008 jrecord@suse.com
-added mcelog info if present (bnc#407187)
* Tue Jul  8 2008 jrecord@suse.com
-fixed only one dlopen library (bnc#402965)
-added status message to screen output (bnc#402967)
* Thu Jul  3 2008 jrecord@suse.com
-added NSS performance information (bnc#405435)
* Fri Jun 13 2008 jrecord@suse.com
-added conf_files check for ascii file (bnc#398995)
* Thu Jun 12 2008 jrecord@suse.com
-added commit to Makefile
-changed sc-plugins references to supportconfig-plugins
* Wed Jun 11 2008 jrecord@suse.com
-updated Makefile to complete a build
-added %%clean to spec
* Tue Jun 10 2008 jrecord@suse.com
-New version: 1.00-66
-added lsscsi -g to mpio.txt
-added udevinfo to udev.txt
-added ntsutils.changes and moved changes from spec
* Fri Jun  6 2008 jrecord@suse.com
-updated bug reporting URLs
* Wed Jun  4 2008 jrecord@suse.com
-updated SPEC with public url
-checks for missing plugins
-documents plugin errors
-updated supportconfig man pages
-updated ntsutils.spec for OBS
* Thu May 22 2008 jrecord@suse.com
-show plugins as the run (dncs#74)
-added support for all plugins (dncs#73)
* Wed May 21 2008 jrecord@suse.com
-changed the plugin display order (dncs#75)
* Fri May  9 2008 jrecord@suse.com
-New version: 1.00-45
-added -u <srnum> for tar ball uploads (dncs#62)
-increased tmp file security (dncs#71)
* Thu May  8 2008 jrecord@suse.com
-added basic contact and SR# info to basic-environment.txt (dncs#63)
-added -r <srnum> to include the SR#
-a valid sr number is added to the tar ball filename
-added commands to mpio.txt (dncs#68)
-added dmsetup commands to evms.txt and lvm.txt
-added netstat -as to network.txt (dncs#70)
* Wed May  7 2008 jrecord@suse.com
-chkbin errors out with invalid file paths (dncs#65)
-added man page for supportconfig.conf(5) (dncs#67)
-updated supportconfig(1) man page with plugins (dncs#66)
-updated chkbin(1) man page
* Tue May  6 2008 jrecord@suse.com
-optimized log_cmd for piped commands
-added the plugin to the plugin log file
* Mon May  5 2008 jrecord@suse.com
-simplified UI output, details only in logfile (dncs#59)
-degraded dlopen missing from error to warning (dncs#60)
-fixed misspelled word on 330 (dncs#61)
-added newest installed RPMs to rpm.txt (dncs#58)
-added repackaged mpio check (dncs#46)
-added plugin support (dncs#50)
* Wed Apr 30 2008 jrecord@suse.com
-finds correct _ndsdb.ini path for newer eDir (dncs#57)
* Tue Apr 29 2008 jrecord@suse.com
-added ipcs to env.txt (dncs#56)
* Thu Apr 24 2008 jrecord@suse.com
-added -Q for silent run (dncs#41)
-changed AppArmor messages to show reject count (dncs#54)
-top 10 cpu/mem always show header on first line (dncs#55)
-removed exit 0 from supportconfig main (dncs#47)
-networkmanager detection fixed for xen (dncs#48)
-nssstart.cfg correctly found (dncs#45)
-the -l option now includes conf file comments (dncs#49)
-added command timer to skip commands that are hung (dncs#41)
-added VAR_OPTION_BIN_TIMEOUT_SEC for time to wait
* Tue Apr 22 2008 jrecord@suse.com
-ldd paths beginning with . are processed (dncs#51)
-dlopen libraries supported (dncs#52)
-all file input accepted without error (dncs#53)
* Sat Mar  8 2008 jrecord@suse.com
-chkbin: fixed ldd symlinks (dncs#40)
* Tue Feb 26 2008 jrecord@suse.com
-added inode info to basic-healthcheck.txt (dncs#36)
-fixed top 10 lists (dncs#37)
-added mpstat to basic-healthcheck.txt if available (dncs#38)
* Fri Feb  8 2008 jrecord@suse.com
-added dns_info/dns.txt (dncs#35)
-rpm verify ntsutils instead of supportconfig
* Thu Feb  7 2008 jrecord@suse.com
-report package conflict (dncs#34)
-added zmd info to updates-daemon.txt (dncs#33)
* Mon Feb  4 2008 jrecord@suse.com
-added rpm distro output to basic-environment (dncs#30)
-moved sdbutil commands down a few lines in novell-ncs.txt
-created chkbin man page (dncs#31)
-added separator line (dncs#32)
-chkconfig errors go to log
-only UG route used for default route
* Fri Feb  1 2008 jrecord@suse.com
-conf files beginning with // are now excluded as comments
-get /root/autoinst.xml if present (dncs#13)
-optimized conf_files and log_files
-improved xen info (dncs#22)
-changed rcd.txt to updates-daemon.txt
-changed rug.txt to updates.txt
-added suseRegister info to updates-daemon.txt (dncs#26)
-added zmd data to updates-daemon.txt (dncs#29)
-updates appropriate boot loader information (dncs#17)
* Thu Jan 31 2008 jrecord@suse.com
-shortened the tarball name from tar.bz2 to tbz
-added powermt output if EMC PowerPath is used (dncs#24)
-chanaged multipath -l to -ll (dncs#25)
-updated ncs load script directories (dncs#23)
-added owcimomd support as openwbem.txt (dncs#19)
-updated path to sysconfig/ncs for OES2 (dncs#18)
* Wed Jan 30 2008 jrecord@suse.com
-dmidecode added to hardware.txt (dncs#12)
-added ncsd check and host.conf to network.txt (dncs#16)
-added openwbem support (dncs#19)
-added getconf to env.txt (dncs#21)
* Mon Jan 28 2008 jrecord@suse.com
-chkbin: includes LD_LIBRARY_PATH and LD_PRELOAD variables embedded in scripts
-chkbin: non-dynamic executibles identified
-chkbin: check for ldd errors
-chkbin: promoted RPM 'unsolved dependencies' to error
-chkbin: promoted RPM 'missing' to warning
* Wed Jan 23 2008 jrecord@suse.com
-chkbin: continue processing, even if the binary is not owned by an rpm
-chkbin: check for LD_LIBRARY_PATH and LD_PRELOAD in the environment
-chkbin: fetch /etc/ld.so.preload and /etc/ld.so.conf (+includes)
-chkbin: do an md5sum on unowned files
* Wed Nov 14 2007 jrecord@suse.com
-fixed iscsiadm -m hang (dncs#11)
-added basic network/tcp checks (dncs#8)
* Tue Nov 13 2007 jrecord@suse.com
-added s390x vmcp support (dncs#10)
* Mon Nov 12 2007 jrecord@suse.com
-added slert_info/slert.txt (dncs#2)
-fixed grep for audit.log (dncs#9)
-added nscd conf and log to net.txt (dncs#7)
-added confs and slpd.log to slp.txt (dncs#6)
-added conf files to samba.txt (dncs#5)
-added wbinfo to samba.txt (dncs#4)
-updated docs with http://devzilla.novell.com/supportconfig (dncs)
* Mon Nov  5 2007 jrecord@suse.com
-updated man page
-added option to disable autoloaded modules
* Thu Nov  1 2007 jrecord@suse.com
-added additional hostname information
-fixed LUM LDAPS connection status
-moved module_info after basic_environment
-fixed nss path for novell-nss.txt
-added ls output for dibdir to novell-edir.txt
* Wed Oct 31 2007 jrecord@suse.com
-iptables modules must be loaded to check
-rug options used based on rug version
* Wed Sep 12 2007 jrecord@suse.com
-added before.local and after.local to boot.txt
-added pdbedit -L to samba.txt
* Fri Sep  7 2007 jrecord@suse.com
-fixed rcd upgrade check
-added 'ncpcon version' to novell-ncp.txt
-added ocfs messages entries to ocfs2.txt
-added mounted.ocfs2 to ocfs2.txt
-added xm list -l to display more vm details
-added -r to crm_mon; display inactive resources
-edir_info used ndspath to set PATH
-fixed default eDir /opt/novell/eDirectory path
-novell-NDSServ rpm not required for instances
* Mon Aug 13 2007 jrecord@suse.com
-messages.txt includes /var/log/localmessages
-limits pengine logs, unless -l used
-ha.txt now includes /var/log/ha-log /etc/ha_logd.cf and /var/lib/heartbeat/*
-added VAR_OPTION_MIN_Y2LOGS, default is to get all files
-using VAR=0 instead of VAR= to exclude functions
-added /etc/sysconfig/lvm to lvm.txt
-gets nfsserver info only if nfsserver is running
-rpm -e backs up /etc/supportconfig.conf
-switched from /etc/sysconfig/supportconfig to /etc/supportconfig.conf
* Mon Jul 23 2007 jrecord@suse.com
-chkbin: modified display output
-chkbin: output copied to /var/log/nts_chkbin_*.txt file
-chkbin: performs rpm -V only on uniq RPMs
-chkbin: warns if binaries are different
-chkbin: checks for broken symlinks
* Tue Jun  5 2007 jrecord@suse.com
-added boot.omsg to boot.txt
-modified get_sles_ver to detect properly
-excludes zip/gz/bz2/tgz files from /var/log/samba
-fixed ncs un/load script location
-added clstrlib.conf with password omitted
* Wed May 23 2007 jrecord@suse.com
-updated env.txt order
* Fri May 18 2007 jrecord@suse.com
-added xvd disks to parted
-default log file line count is configurable
-include check for incorrect oes update
-include samba logs
-look for vmcore files in crash_info
-optional log dirs can be selected
-added check for successful log dir creation
* Thu May 10 2007 jrecord@suse.com
-changed ps output order to user,pid,ppid,%%cpu,%%mem,vsz,rss,stat,time,cmd
-rpm %%postun removes /etc/sysconfig/supportconfig
* Wed May  9 2007 jrecord@suse.com
-removed SMART check as default, some hardware problematic
-added traps for SIGINT and SIGQUIT
-changed to bash getopts, --long opts no longer supported
-optimized eDir search
-rpm %%post installs default /etc/sysconfig/supportconfig
-/etc/sysconfig/supportconfig turns on/off any info category
-added /etc/sysconfig/supportconfig support
-fixed multiple rpms checked by rpm_verify
-removed siga/sitar dependency
-added lspci, some proc, and others to hardware.txt
-renamed hwinfo.txt to hardware.txt
-added boot.msg to boot.txt
-added iptables filter to network.txt
-added hosts.allow/deny to network.txt
-added sar_info and sar.txt
-added print_info and print.txt
-added ssh_info and ssh.txt
-added x_info and x.txt
-added sysconfig_info and sysconfig.txt
-added proc_info and proc.txt
* Wed Mar 28 2007 jrecord@suse.com
-version format change for rpm format
-name changed from config.sh to supportconfig
-added man page
* Thu Mar 22 2007 jrecord@suse.com
-clarified using GPLv2 license
-removed extra /config.sh.txt file
-added nsswitch.conf automount: check in fs-autofs.txt
-added chkconfig to fs-autofs.txt
-added ldap_info and ldap.txt
-added smartmon_info and fs-smartmon.txt
-added mount to fs-diskio.txt
-added PPID to ps output in basic-health-check.txt
* Mon Mar  5 2007 jrecord@suse.com
-added minimal firewall detection to basic-environment.txt
-changed iostat from -p to -x
-fixed novell-lum LDAPS connection test
-added fibre hba info to fs-diskio.txt & mpio.txt
-more specific on rpm.txt sort order
-fixed SLES10 bad_page and external support taint status
-added -L|--rootfs-list options for fs-files.txt
-added fs-files.txt for root filesystem listing (ie find /)
* Fri Jan  5 2007 jrecord@suse.com
-added -f|--edirsearch start option for eDir 8.8 instances
-added last apparmor reject message to basic-health-check.txt
-apparmor_info now supports SLES9 and SLES10
-added support for eDir 8.8 with multiple instances
-changed filenames from oes-*txt to novell-*txt
-changed function names from oes_ to novell_
-changed umask to 077 for all config.sh files
-added samba_info support
* Tue Nov 21 2006 jrecord@suse.com
-added /proc/devices to lvm.txt
-crash_info doesn't care about OS version
-added memory_info in memory.txt
-added /var/log/warn to messages.txt
-The -l switch applies to rcd/rug/ntp logs too
* Tue Oct 10 2006 jrecord@suse.com
-removed meaningless stonith info
-added open_files for lsof output
-ps changed to wide output
-added partition table backup to fs-diskio.txt
-added analysis files to crash.txt with lkcdutils
-added {pv,vg,lv}display commands and better lvm1 support to lvm_info
-added volume details to oes-ncp.txt
-added ncp2nss.log to oes-ncp.txt
-updated EventLog.xml path to check /_admin and /admin
* Tue Aug 29 2006 jrecord@suse.com
-changed base log directory to /var/log, not /tmp
-added policy engine logs and ntpq check to ha_info
-checks correct ntp service for SLES10
-added evms.conf to evms_info
-added unique distribution list to rpm.txt
-added ocfs2_info
-get entire messages file unless over 500Mb, then only 5000 lines
-added dasd support to fs-diskio.txt
* Tue Aug  1 2006 jrecord@suse.com
-crash_info supports SLES9/10
-renamed lkcd_info to crash_info, and lkcd.txt to crash.txt
-made startup options more descriptive
-expanded oes_edir_info with _ndsdb.ini, logs and ndsd version
-log_cmd returns command exit status
-added ndstrace -c threads to oes-edir.txt
-added /etc/sysconfig/kernel to boot.txt
-optimized disk_info to use parted only
-updated iscsi_info to include SLES10 iscsitarget and open-iscsi
-added xen_info, apparmor_info, ha_info, slp_info, oes_lum_info
-get all files in /var/log/YaST2 recursively
-supports SLES10/SLED10
